
CREATE TABLE Objetivos(
	Id_Objetivo		INT IDENTITY(1,1) NOT NULL,
	Tipo			CHAR(1),
	Periodo			DATETIME NOT NULL,
	Id_Sucursal		SMALLINT NOT NULL,
	Descripcion		VARCHAR(255),
	Monto_Ventas	DECIMAL(14,2),
	Monto_Garantias DECIMAL(14,2),
	Nota			TEXT,
	CONSTRAINT PK_Objetivos_PorId PRIMARY KEY (Periodo,Id_Sucursal)
			)
GO

CREATE INDEX IX_Objetivos_PorDesc ON Objetivos (Descripcion,Periodo)
GO
CREATE INDEX IX_Objetivos_PorSuc ON Objetivos (Id_Sucursal,Periodo)
GO

ALTER TABLE Objetivos ADD CONSTRAINT FK_Objetivos_PorSuc FOREIGN KEY (Id_Sucursal)
	REFERENCES Empresas_Suc (Id_Sucursal)
GO


 